/* body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
} */

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: grey;
    min-height: 100vh; /* Tinggi penuh */
    display: flex;
    justify-content: center;
    align-items: center; /* Memusatkan secara vertikal */
}

.container-box {
    background-color: white;
    width: 100%; /* Memastikan lebar penuh pada perangkat kecil */
    /* padding: 20px; */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 100%; /* Responsif pada perangkat kecil */
    min-height: 100vh;
    box-sizing: border-box;
}

header {
    width: 100%; /* Memastikan lebar penuh pada perangkat kecil */
}

footer {
    width: 100%; /* Memastikan lebar penuh pada perangkat kecil */
}

@media (min-width: 1024px) {
    .container-box {
        width: 1024px;
        margin: auto; /* Memusatkan elemen pada layar desktop */
    }
    footer {
        width: 1024px;
        margin: auto; /* Memusatkan elemen pada layar desktop */
    }
    header {
        width: 1024px;
        margin: auto; /* Memusatkan elemen pada layar desktop */
    }
}

.pull-indicator {
    z-index: 9999;
    height: 50px;
    text-align: center;
    line-height: 50px;
    color: #0c0585;
    position: absolute;
    top: -60px;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    transition: transform 0.3s ease;
}

.icon {
    font-size: 24px;
    transition: transform 0.3s ease;
}

.content-item {
    transition: transform 0.3s ease;
}

.refresh-message {
    max-width: fit-content;
    padding: 10px;
    background-color: #4643e0;
    color: white;
    text-align: center;
    display: none;
    position: fixed;
    bottom: 50%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    border-radius: 5px; /* Opsional, untuk membuat tepi kotak lebih halus */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.container-icon {
    height: 40px;
    width: 40px;
    background-color: white;
    border-radius: 100px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    display: flex;
    align-items: center;
    justify-content: center;
}